/**
 * Theme Name: nmedv Theme
 * Template:   twentytwentyfive
 * Version:    1.0.0
 */

.wp-block-group:has(main),
main {
    background-color: var(--wp--preset--color--base);
}

.wp-block-group:has(main) {
    margin: 0;
}

main.is-style-section-3 > div {
    max-width: 1200px !important;
    margin: 0 auto !important;
    padding: 0 !important;
} 

main.is-style-section-3 {
    margin-block-start: 0 !important;
}

.home main {
    width: 100vw !important;
    min-width: 100vw !important;
    max-width: 100vw !important;
}

.home main.is-style-section-3 > div {
    width: 100% !important;
    min-width: 100% !important;
    max-width: 100% !important;
}

header .wp-block-site-logo img {
    max-width: 100px;
}

.wp-block-image {
    width:100%;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.wp-block-image img {
    max-width: 100%; 
    height: auto; 
    width: 100%; 
    padding: 0; 
    margin: 0; 
    display: block;
}

.hidden {
    display: none !important;
}

footer {
    margin-top: 0 !important;
}

footer .copyright {
    font-size: var(--wp--preset--font-size--small);
    color: var(--wp--preset--color--base);
    text-align: center;
    margin-top: 0 !important;
    margin-bottom: 0 !important;    
    opacity: 0.8;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

form:not(.wc-block-checkout__form) {
    display: flex;
    flex-direction: column;
    width: 100%;
}

form:not(.wc-block-checkout__form) label {
    display: block;
}

form:not(.wc-block-checkout__form) input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]),
form:not(.wc-block-checkout__form) select,
form:not(.wc-block-checkout__form) textarea {
    width: 100%;
    border: 2px solid var(--wp--preset--color--accent-color-4, #eaeaea);
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
    border-radius: 4px;
    min-height: 3em !important;
    height: fit-content;
    font-size: var(--wp--preset--font-size--regular);
}

form:not(.wc-block-checkout__form) input[type="submit"],
form:not(.wc-block-checkout__form) input[type="button"] {
    background-color: var(--wp--preset--color--accent-color-1);
    color: var(--wp--preset--color--base);
    border: none;
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--40);
    cursor: pointer;
    border-radius: 4px;
    font-size: var(--wp--preset--font-size--medium);
}

form:not(.wc-block-checkout__form) input[type="submit"]:hover,
form:not(.wc-block-checkout__form) input[type="button"]:hover {
    background-color: var(--wp--preset--color--accent-color-2);
    color: var(--wp--preset--color--base);
}

form:not(.wc-block-checkout__form) p:has(input[type="hidden"]) {
    display: none !important;
}

/* ------- POLYLANG ------- */

ul.wp-block-polylang-language-switcher {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
    padding-left: 0;
}

ul.wp-block-polylang-language-switcher li {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
}

ul.wp-block-polylang-language-switcher li.current-lang {
    font-weight: bold;
    text-decoration: underline;
}

ul.wp-block-polylang-language-switcher li.current-lang img {
    transform: scale(1.5);
}

/* ------- WOOCOMMERCE ------- */
.wc-block-checkout__actions_row {
    padding: var(--wp--preset--spacing--80) 0;
}

.single-product h2 {
    font-size: calc(var(--wp--preset--font-size--huge) * 1.25);
    font-weight: 700;
    margin-bottom: var(--wp--preset--spacing--70) !important;
}

.single-product h3 {
    font-size: var(--wp--preset--font-size--large);
    font-weight: 600;
    margin-bottom: var(--wp--preset--spacing--50) !important;
}

.single-product main {
    max-width: 1200px;
    margin: 0 auto;
    line-height: 1.5;
}

.single-product .entry-content li {
    line-height: 2.3;
}

.wp-block-woocommerce-product-meta span,
.wp-block-woocommerce-product-meta a {
    font-weight: normal;
    font-size: var(--wp--preset--font-size--regular);
}

.wp-block-woocommerce-product-meta a {
    color: var(--wp--preset--color--accent-color-1) !important;
    font-weight: normal;
}

.wp-block-woocommerce-product-meta a:hover {
    color: var(--wp--preset--color--accent-color-2) !important;
    font-weight: normal;
}

table.variations tr {
    height: fit-content;
    vertical-align: top;
}

table.variations th,
table.variations td {
    padding: 0;
    margin: 0;
    height: fit-content;
}

/* if reset variations is visibility hidden, add display none to it */
.reset_variations[style='visibility: hidden;'] {
    display: none !important;
}

table.variations .single_add_to_cart_button {
    border-radius: 4px;
}

.woocommerce div.product form.cart div.quantity .qty,
.woocommerce table.variations tr td select {
    border: 2px solid var(--wp--preset--color--accent-color-4, #eaeaea);
    border-radius: 4px;
    min-height: 3em !important;
    height: fit-content;
    font-size: var(--wp--preset--font-size--regular);
}

.woocommerce table.variations tr td select {
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
}

.woocommerce-variation-add-to-cart.variations_button {
    display: flex !important;
    flex-direction: column !important;
    gap: var(--wp--preset--spacing--20) !important;
    justify-content: flex-start !important;
    align-items: flex-start !important;
}

.wp-block-woocommerce-mini-cart-contents {
    background-color: var(--wp--preset--color--base) !important;
    color: var(--wp--preset--color--accent-color-1) !important;
}

.wc-block-mini-cart__badge {
    color: var(--wp--preset--color--accent-color-1) !important;
    background: var(--wp--preset--color--base) !important;
    border: 1px solid var(--wp--preset--color--accent-color-1) !important;
    border-radius: 50% !important;
}

.wp-block-term-description {
    text-transform: none !important;
    font-size: 16px !important;
    line-height: 2 !important;
}

.wp-block-navigation__overlay-container ul.wp-block-navigation__container li a {
    color: var(--wp--preset--color--accent-color-1) !important;
}

.wp-block-navigation__overlay-container ul.wp-block-navigation__container li a:hover {
    color: var(--wp--preset--color--accent-color-2) !important;
}

.wp-block-navigation__overlay-container ul.wp-block-navigation__container {
    width: 100% !important;
}

.wp-block-navigation__overlay-container ul.wp-block-navigation__container li {
    border-bottom: 1px solid var(--wp--preset--color--accent-color-3) !important;
    padding-bottom: var(--wp--preset--spacing--20) !important;
    width: 100% !important;
}

/* COOKIE BANNER */
.cc_banner {
    background-color: var(--wp--preset--color--accent-color-1) !important;
    color: var(--wp--preset--color--base) !important;
    font-size: var(--wp--preset--font-size--medium) !important;
    border-top: 1px solid color-mix(var(--wp--preset--color--base) 20%, transparent);
    padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--60) !important;
    display: flex !important;
    flex-direction: row-reverse !important;
    justify-content: space-between !important;
    align-items: center !important;
    gap: var(--wp--preset--spacing--20) !important;
}

.cc_banner .cc_message {
    line-height: 2 !important;
    margin-top: 0 !important;
    margin-block-start: 0 !important;
}

.cc_banner a {
    color: var(--wp--preset--color--base) !important;
    text-decoration: underline !important;
}

.cc_banner a:hover {
    color: var(--wp--preset--color--accent-color-3) !important;
    text-decoration: underline !important;
}

.cc_banner a.cc_btn {
    background: var(--wp--preset--color--accent-color-2) !important;
    color: var(--wp--preset--color--base) !important;
    text-decoration: none !important;
    padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--60) !important;
    border-radius: 4px !important;
}

.cc_banner a.cc_btn:hover {
    background: var(--wp--preset--color--accent-color-2) !important;
    color: var(--wp--preset--color--base) !important;
    text-decoration: none !important;
    /* move button slightly */
    transform: translateY(-2px) !important;
}

.woocommerce ul.products li.product img,
.woocommerce ul.products li.product .woocommerce-placeholder {
    border: none !important;
}

li.product p:has(.button) {
    display: none !important;
}

.wp-block-button__link:hover {
    background-color: color-mix(in srgb, var(--wp--preset--color--accent-color-1) 80%, transparent);
    color: var(--wp--preset--color--base);
    border: 1px solid color-mix(in srgb, var(--wp--preset--color--accent-color-1) 80%, transparent);
}

.wp-block-woocommerce-mini-cart-title-items-counter-block,
.wp-block-woocommerce-mini-cart-title-label-block {
    color: var(--wp--preset--color--accent-color-1) !important;
    font-size: var(--wp--preset--font-size--large) !important;
}

td.wc-block-cart-item__total {
    display: none !important;
}

.wp-element-button,
.wc-block-components-button,
button,
.wc-block-mini-cart__footer-actions a {
    border-radius: 4px !important;
}

.wc-block-mini-cart__footer-actions a {
    border-width: 1px !important;
    border-style: solid !important;
    border-color: var(--wp--preset--color--base) !important
}

.wp-block-woocommerce-mini-cart-checkout-button-block:hover > div,
.wp-block-woocommerce-mini-cart-checkout-button-block:hover,
.wp-block-woocommerce-mini-cart-checkout-button-block > div,
.wp-block-woocommerce-mini-cart-checkout-button-block {
    background: var(--wp--preset--color--base) !important;
    color: var(--wp--preset--color--accent-color-1) !important;
}


.wp-block-woocommerce-mini-cart-cart-button-block:hover > div,
.wp-block-woocommerce-mini-cart-cart-button-block:hover,
.wp-block-woocommerce-mini-cart-cart-button-block > div,
.wp-block-woocommerce-mini-cart-cart-button-block {
    background: var(--wp--preset--color--accent-color-1) !important;
    color: var(--wp--preset--color--base) !important;
}


/* 
a {
    color: var(--wp--preset--color--accent-color-1) !important;
    text-decoration: none;
}

a:hover {
    color: var(--wp--preset--color--accent-color-2) !important;
    text-decoration: none;
}

nav a {
    color: var(--wp--preset--color--base-light) !important;
}

a.button,
a.button:hover,
a.wp-block-button__link.wp-element-button,
a.wp-block-button__link.wp-element-button:hover,
.wc-block-components-button__text,
.pill-button.active,
nav a:hover {
    color: var(--wp--preset--color--accent-color-1) !important;
    text-decoration: underline;
}

a.button,
a.button:hover,
a.wp-block-button__link.wp-element-button,
a.wp-block-button__link.wp-element-button:hover,
.wc-block-components-button__text,
.pill-button.active {
    text-decoration: none;
}

.wp-block-button__link:hover,
.wp-block-button .wp-block-button__link:hover {
    background-color: var(--wp--preset--color--tertiary);
    color: var(--wp--preset--color--accent-color-1);
    transition: all 0.2s ease-in-out;   
}

:where(.wp-site-blocks) > * {
    margin-block-start: 0;
    margin-block-end: 0;
}

.wpcf7-form,
.contact-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0;
}

.wpcf7-form h4,
.contact-form h4 {
    margin: 0;
    padding: 0;
    margin-block-start: 0;
    margin-block-end: 0;
}

.wpcf7-form p,
.contact-form p {
    margin: 0;
    padding: 0;
    margin-block-start: 0.5rem;
    margin-block-end: 0.5rem;
} 

.wpcf7-form select,
.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form textarea,
.contact-form input[type="text"],
.contact-form input[type="email"],
.contact-form textarea {
    width: 100%;
    margin-bottom: 1rem;
    border: 2px solid var(--wp--preset--color--quaternary);
    padding: 0.5rem;
    background: var(--wp--preset--color--accent-color-1);
    color: var(--wp--preset--color--dark);
}

.wpcf7-form input[type="submit"],
.contact-form input[type="submit"] {
    background-color: var(--wp--preset--color--accent-color-2);
    color: var(--wp--preset--color--accent-color-1);
    border: none;
    padding: 0.8rem 1.2rem;
    cursor: pointer;
    border-radius: 4px;
    font-size: var(--wp--preset--font-size--small);
    transition: all 0.2s ease-in-out;
}

.wpcf7-form input[type="submit"]:hover,
.contact-form input[type="submit"]:hover {
    background-color: var(--wp--preset--color--tertiary);
    color: var(--wp--preset--color--accent-color-1);
}

.wpcf7-form label,
.contact-form label {
    display: block;
    margin-bottom: 0.5rem;
    font-weight: normal;
    color: var(--wp--preset--color--quaternary);
    font-size: var(--wp--preset--font-size--small);
}

.wpcf7-form span, 
.wpcf7-form label:not(:has(input[type="checkbox"])) {
    color: var(--wp--preset--color--accent-color-2);
    font-size: var(--wp--preset--font-size--small);
    font-weight: normal;
}

label:has(.nmedv-events-checkboxes) {
    color: var(--wp--preset--color--dark);
}

.products .add_to_cart_button,
li .wgm-info.woocommerce-de_price_taxrate,
li .price,
.products .wgm-info.woocommerce-de_price_taxrate {
    display: none !important;
}

.nmedv-training-cta {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.25rem;
}

.nmedv-request-buttons a {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.25rem;
}

.wp-block-woocommerce-product-meta span,
.wp-block-woocommerce-product-meta a {
    font-weight: normal;
}

.nmedv-add-to-calendar-button .fa-calendar-day {
    color: var(--wp--preset--color--accent-color-1);
}

ul.wp-block-polylang-language-switcher {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
    padding-left: 0;
}

ul.wp-block-polylang-language-switcher li {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
}

ul.wp-block-polylang-language-switcher li.current-lang {
    font-weight: bold;
    text-decoration: underline;
}

ul.wp-block-polylang-language-switcher li.current-lang img {
    transform: scale(1.5);
}

div:where(.wp-block-woocommerce-mini-cart-contents) {
    background-color: var(--wp--preset--color--accent-color-1) !important;
    color: var(--wp--preset--color--dark) !important;
} 

.wp-block-woocommerce-mini-cart-checkout-button-block {
    color: var(--wp--preset--color--accent-color-2) !important;
    background-color: var(--wp--preset--color--accent-color-1) !important;
    border: 2px solid var(--wp--preset--color--accent-color-1) !important;
}

.wc-block-components-button__text {
    font-weight: bold;
}

.wc-block-mini-cart__footer.wp-block-woocommerce-mini-cart-footer-block {
    background-color: var(--wp--preset--color--accent-color-2);
    color: var(--wp--preset--color--accent-color-1);
}

td.wc-block-cart-item__total {
    display: none !important;
}

.nmedv-training-requests-container {
    padding: 0 5vw;
} */

@media (max-width: 900px) {
    footer nav ul.wp-block-navigation__container {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        justify-content: flex-start;
        align-items: center;
    }    

    main.is-style-section-3 {
        padding: 0 var(--wp--preset--spacing--40) !important;
    }  

    .home .wp-block-group.is-style-section-3.has-global-padding.is-layout-constrained.wp-block-group-is-layout-constrained.is-style-section-3--11 {
        padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--60) !important;
    }

    .home main.is-style-section-3 {
        padding: 0 !important;
    }
}
